#include <stdio.h>

int main()
{
    int n, i, j, temp;
    int flag = 0;

    printf("Enter the number of elements you want in the array: ");
    scanf("%d", &n);

    int arr[n];

    printf("Enter the numbers you want in the array:\n");
    for (i = 0; i < n; i++)
    {
        scanf("%d", &arr[i]);
    }

    printf("The numbers in the array are:\n");
    for (i = 0; i < n; i++)
    {
        printf("%d\n", arr[i]);
    }

    // sorting
    for (i = 0; i < n; i++)
    {
        int key = arr[i];
        int j = i - 1;
        while (j >= 0 && arr[j] > key)
        {
            arr[j + 1] = arr[j];
            j = j - 1;
        }
        arr[j + 1] = key;
    }

    printf("The numbers in the sorted array are:\n");
    for (i = 0; i < n; i++)
    {
        printf("%d \n", arr[i]);
    }
}
